package com.brilliance.isc.bo.bop.jsh;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

/**
 
 * @description 购汇申请书模型Vo
 * @create 20240322
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dbwgrp extends AbstractCommonVo {

    //基本确认
    private String basacp;
    //管理确认
    private String vrfacp;

    //购汇申请书-基础信息
    private Dbw bas;

    //购汇申请书-管理信息
    private Dby vrf;

    @Override
    public void reset() {
        super.reset();
        if(bas == null) {
            bas = new Dbw();
            bas.reset();
        }
        if(vrf == null) {
            vrf = new Dby();
            vrf.reset();
        }
    }
}
